Jump to content

Recommended Posts

Gents, as many people have noticed there are issues with scenery that use SODE. In the change from the 1.21 version (that was the most current when products like Mega Airport Rome was released) to 1.30 backwards compatibility was lost. It took us longer than needed to fully realise the consequences, I am sorry for that.

But the basic fact is that installing new scenery can now break older scenery and until we get updates for the older scenery (the jetways have to be recompiled) this will remain an issue. Now making the updates on itself will not take a lot of time but then we need to test them (4 languages, 4 simulators), make installers etc etc. so it is not a thing that will happen in a few days (certainly not in December!). But it IS all going to be done and it will be solved, we just ask for some patience

  • Upvote 5
Link to post
Share on other sites
  • Replies 365
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Gents, as many people have noticed there are issues with scenery that use SODE. In the change from the 1.21 version (that was the most current when products like Mega Airport Rome was released) to 1.3

Hi, with the release of Prepar3Dv4 a lot changed regarding the activation of SODE inside Prepar3D v3 and v4, because SODE 1.5.x now works different.For FSX and P3Dv2 it is still the old technique!

Hi, since there are still people with SODE problems, I thougt I will rework my troubleshooting guide for SODE to be compatible with FSX (FSX-SE should be similar). The P3Dv3 version can be found

Posted Images

2 hours ago, bpcw001 said:

What about Athens X 1.20? Does it use SODE?

To be honest, this SODE stuff has already given me more annoyances that I would like with an otherwise excellent Rome airport. This pause/unpause stuttering is unbearable .

 
have patience with version 1.3 solves all that .

LEVC this to get out has already installed the version 1.3 and all our tests are successful 
 you can be sure that when other developers implement all 1.3 update will greatly improve performance,
 especially if developers use static models that are not active others.
Link to post
Share on other sites

I've uninstalled SODE from the PC and restarted and yet i still get an error saying that i didn't. I have searched all over but can't find a way to install V1.3 for SODE. Still have the installer on my desktop. Anyone had this issue? Thanks and Happy Holidays.

DSC_0310[1].JPG

Link to post
Share on other sites

Can anyone let me know know if it's only the moving jetway implementation that is not backwardly compatible from 1.21 to 1.3. I have a few airports such as HTKJ and ULLI which use SODE but haven't implemented their moving jetways.

Obviously the guy who does EETN etc will need to change his airports as well.

Nick

Link to post
Share on other sites
vor 16 Stunden , yakyak sagte:

 

Can anyone let me know know if it's only the moving jetway implementation that is not backwardly compatible from 1.21 to 1.3. I have a few airports such as HTKJ and ULLI which use SODE but haven't implemented their moving jetways.

Obviously the guy who does EETN etc will need to change his airports as well.

Nick

That is correct. Only jetways are affected, they won't show up in the menu and are not operative until they are recompiled.

Also, the folder structure has changed to comply with P3Dv3 recommendations. Until the new installers are out, you may upgrade to SODE v1.3 and perform the migration manually using the guide here: http://sode.12bpilot.ch/?page_id=9

  • Upvote 1
Link to post
Share on other sites
 

È corretto. Solo jetways sono interessati, non saranno visualizzati nel menu e non sono operativi finché non vengono ricompilati.

Inoltre, la struttura di cartelle è cambiata per ottemperare alle raccomandazioni P3Dv3. Fino a quando i nuovi installatori sono fuori, potrebbe essere l'aggiornamento a SODE v1.3 ed eseguire la migrazione manualmente utilizzando la guida qui:  http://sode.12bpilot.ch/?page_id=9

 

Hi,

i have a small question...

Example...EPWA use SODE for your jetways...and if remove SODE, the jetway are not visible in the scenery.

At moment i see the jetway (but i don't use the move features for the jetways) with "old" sode 1.21...If install the new SODE, the jetways, example for EPWA, are visible or not? If don't move...not problem...Important is visible jetways.

 

Thanks and sorry for my bad english!

 

Link to post
Share on other sites
On 20.12.2015 at 09:30, Rob Ainscough sagte:

Could I get some clarification, the migration guide doesn't mention anything about DLL.XML and EXE.XML entries ... is it required to have BOTH the DLL entry in DLL.XML AND the EXE entry in EXE.XML, or should it be just ONE or the OTHER?

 

Cheers, Rob.

 

Hi Rob,

 

SODE includes two modules, the main exe and the animation dll. So yes, both are required with their respective entries in the dll.xml and the exe.xml. Version 1.3 comes with the SODEPlatformManager.exe which should handle all these entries editing for you. It also takes care of writing the entries into the correct path in case of P3Dv3 (i.e. ProgramData and not Roaming).

 

vor 9 Stunden , gianluk81 sagte:

 

Hi,

i have a small question...

Example...EPWA use SODE for your jetways...and if remove SODE, the jetway are not visible in the scenery.

At moment i see the jetway (but i don't use the move features for the jetways) with "old" sode 1.21...If install the new SODE, the jetways, example for EPWA, are visible or not? If don't move...not problem...Important is visible jetways.

 

Thanks and sorry for my bad english!

 

 

Hello,

I think you should wait until Drzewiecki Design offsers an update for EPWA with a new installer supporting SODE v1.3. If you manually install the new version, all jetways are lost without moving some old files, which is bit tricky.

Link to post
Share on other sites
vor 23 Stunden , Wild Bill Kelso sagte:

So the barely visible runway lights at ENSH Svolvaer

http://forum.aerosoft.com/index.php?/topic/103073-ensh-svolvaer-unzureichende-landebahnbefeuerung/

could be another SODE issue?

 

Cheers,

Markus.

 

 

 

Having read your post, the answer is no. SODE itself works perfectly on your machine (you see the objects, can trigger stuff through the menu etc).

 

It is the actual SimObject which may be coded in a different way than standard lights. I just checked the behaviour of the lights at ENSH and they are defined by the designer for this part of the year to be off during FS time of day "DAY" and when visibility is above 10KM. With lower visibilities, they should turn on, as well during DAWN,DUSK and NIGHT.

Link to post
Share on other sites
vor 17 Stunden , 12bPilot sagte:

With lower visibilities, they should turn on...

 

Confirmed:

 

2015-12-25_18-34-17-24hpoh.jpg

 

2015-12-25_18-42-37-9wcr50.jpg

 

It's "daytime" (11:30 local), and the visibility is about 6 km - everything fine!

This coding (depending on the visibility) makes perfect sense, but since the light's behaviour differs from the standard ones, it might be a good idea to point this out within the manual.

Just to avoid confusion like mine...

 

Thanks a lot, mate!

 

Cheers,

Markus.

 

Link to post
Share on other sites
 

SODE includes two modules, the main exe and the animation dll. So yes, both are required with their respective entries in the dll.xml and the exe.xml. Version 1.3 comes with the SODEPlatformManager.exe which should handle all these entries editing for you. It also takes care of writing the entries into the correct path in case of P3Dv3 (i.e. ProgramData and not Roaming).

 

Thank you, most helpful.  Is SODEPlatformManager compatible with P3D V3.1?  If so, is this the link for getting most recent version SODE download?

 

Cheers, Rob.

Link to post
Share on other sites

another question...

Yesterday i'm purchase the new LOWS scenery made from DigitalDesign...

Ok, scenery it's fantastic ecc. ecc. ....but....this scenery update my 1.21 sode to (old?) 1.03 and the jetway in EPWA are broken position, i see that, but in wrong position. The 1.03 not last version, correct?

Link to post
Share on other sites

Be aware that LOWS installs SimObjectsDisplayEngine.exe (v.1.03), which will break the correct functionality of all other SODE airports that were developed with v1.21 SODE as this file is replaced during installation ( you will not see the SODE menu for instance or TAB-S / jetways will not work). Just replace the v.1.03 with the the (hopefully) backuped v.1.21 file, and all SODE airports will work again. So far I have found no issues with LOWS running with v.1.21. I am sure the developer of LOWS, Evgeny, will come out with a patch soon.

Link to post
Share on other sites
  • OPabst locked this topic
Guest
This topic is now closed to further replies.



×
×
  • Create New...